Package ru.bitel.bgbilling.modules.ticket.server.bean

# Class AgentManager

java.lang.Object
bitel.billing.server.admin.auth.Auth<A,​javax.servlet.http.HttpServletRequest,​B,​C,​D>
bitel.billing.server.admin.auth.http.HttpAuth<Agent,​java.sql.Connection,​java.lang.Integer,​Conf>
ru.bitel.bgbilling.modules.ticket.server.bean.AgentManager

    public final class AgentManager
    extends bitel.billing.server.admin.auth.http.HttpAuth<Agent,​java.sql.Connection,​java.lang.Integer,​Conf>

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.auth.Auth

  `log`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AgentManager​(java.sql.Connection con, int mid)` |
  `AgentManager​(Setup setup)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteAgent​(int id)` |
  `Agent` | `getAgent​(int id)` |
  `java.util.List<Agent>` | `getAgentList​(java.lang.String title)` |
  `protected Agent` | `getLogin​(javax.servlet.http.HttpServletRequest request, java.sql.Connection con, java.lang.Integer mid, Conf conf, java.lang.String[] baseAuth)` |
  `protected boolean` | `isNeedBaseAuth​(Agent a, java.sql.Connection b, java.lang.Integer c, Conf d)` |
  `protected boolean` | `isNeedCertificateAuth​(Agent a, java.sql.Connection b, java.lang.Integer c, Conf d)` |
  `protected boolean` | `isNeedSecureConnection​(Agent a, java.sql.Connection b, java.lang.Integer c, Conf conf)` |
  `void` | `updateAgent​(Agent agent)` |

  ### Methods inherited from class bitel.billing.server.admin.auth.http.HttpAuth

  `checkCertificate, getBasicAuth, login`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AgentManager

    public AgentManager​(java.sql.Connection con, int mid)

  - ### AgentManager

    public AgentManager​(Setup setup)

- ## Method Details

  - ### getAgent

    public Agent getAgent​(int id)

  - ### getAgentList

    public java.util.List<Agent> getAgentList​(java.lang.String title)

  - ### deleteAgent

    public void deleteAgent​(int id)

  - ### updateAgent

    public void updateAgent​(Agent agent) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getLogin

    protected Agent getLogin​(javax.servlet.http.HttpServletRequest request, java.sql.Connection con, java.lang.Integer mid, Conf conf, java.lang.String[] baseAuth) throws bitel.billing.server.admin.auth.AuthException
    Specified by:
      `getLogin` in class `bitel.billing.server.admin.auth.http.HttpAuth<Agent,​java.sql.Connection,​java.lang.Integer,​Conf>`
    Throws:
      `bitel.billing.server.admin.auth.AuthException`

  - ### isNeedBaseAuth

    protected boolean isNeedBaseAuth​(Agent a, java.sql.Connection b, java.lang.Integer c, Conf d)
    Specified by:
      `isNeedBaseAuth` in class `bitel.billing.server.admin.auth.http.HttpAuth<Agent,​java.sql.Connection,​java.lang.Integer,​Conf>`

  - ### isNeedCertificateAuth

    protected boolean isNeedCertificateAuth​(Agent a, java.sql.Connection b, java.lang.Integer c, Conf d)
    Specified by:
      `isNeedCertificateAuth` in class `bitel.billing.server.admin.auth.http.HttpAuth<Agent,​java.sql.Connection,​java.lang.Integer,​Conf>`

  - ### isNeedSecureConnection

    protected boolean isNeedSecureConnection​(Agent a, java.sql.Connection b, java.lang.Integer c, Conf conf)
    Specified by:
      `isNeedSecureConnection` in class `bitel.billing.server.admin.auth.http.HttpAuth<Agent,​java.sql.Connection,​java.lang.Integer,​Conf>`